xine-lib: xine-lib-1.2.12/src/video_dec/libmpeg2/slice_xvmc_vld.c File Reference

xine-lib 1.2.12

Functions | Variables
slice_xvmc_vld.c File Reference
`#include <xine/xine_internal.h>`
`#include <xine/video_out.h>`
`#include "mpeg2.h"`
`#include "mpeg2_internal.h"`
`#include "xvmc_vld.h"`

## Functions
void | mpeg2_xxmc_slice (mpeg2dec_accel_t *accel, picture_t *picture, int code, uint8_t *buffer, uint32_t chunk_size, uint8_t *chunk_buffer)
void | mpeg2_xxmc_vld_frame_complete (mpeg2dec_accel_t *accel, picture_t *picture, int code)

## Variables
static const uint8_t | zig_zag_scan [64]
static const uint8_t | alternate_scan [64]

## Function Documentation

## ◆ mpeg2_xxmc_slice()

void mpeg2_xxmc_slice | ( | mpeg2dec_accel_t * | accel,
|  | picture_t * | picture,
|  | int | code,
|  | uint8_t * | buffer,
|  | uint32_t | chunk_size,
|  | uint8_t * | chunk_buffer
| ) |  |

References vo_frame_s::accel_data, alternate_scan, vo_frame_s::bad_frame, code, xine_xxmc_s::decoded, vo_frame_s::duration, FRAME_PICTURE, lprintf, mpeg2_scan_alt, xine_xxmc_s::proc_xxmc_begin, xine_xxmc_s::proc_xxmc_slice, xine_xxmc_s::result, mpeg2dec_accel_t::row_slice_count, xine_xxmc_s::sleep, xine_xxmc_s::slice_code, xine_xxmc_s::slice_data, xine_xxmc_s::slice_data_size, mpeg2dec_accel_t::slices_per_row, xine_xxmc_s::vld_frame, mpeg2dec_accel_t::xvmc_last_slice_code, mpeg2dec_accel_t::xxmc_mb_pic_height, and zig_zag_scan.

Referenced by libmpeg2_accel_slice().

## ◆ mpeg2_xxmc_vld_frame_complete()

void mpeg2_xxmc_vld_frame_complete | ( | mpeg2dec_accel_t * | accel,
|  | picture_t * | picture,
|  | int | code
| ) |  |

References vo_frame_s::accel_data, vo_frame_s::bad_frame, code, xine_xxmc_s::decoded, xine_xxmc_s::proc_xxmc_flush, xine_xxmc_s::result, mpeg2dec_accel_t::row_slice_count, mpeg2dec_accel_t::slices_per_row, mpeg2dec_accel_t::xvmc_last_slice_code, and mpeg2dec_accel_t::xxmc_mb_pic_height.

Referenced by libmpeg2_accel_frame_completion().

## Variable Documentation

## ◆ alternate_scan

const uint8_t alternate_scan[64]
| static

Initial value:
=
{
0,8,16,24,1,9,2,10,17,25,32,40,48,56,57,49,
41,33,26,18,3,11,4,12,19,27,34,42,50,58,35,43,
51,59,20,28,5,13,6,14,21,29,36,44,52,60,37,45,
53,61,22,30,7,15,23,31,38,46,54,62,39,47,55,63
}

Referenced by mpeg2_xxmc_slice(), and stats_picture_coding_extension().

## ◆ zig_zag_scan

const uint8_t zig_zag_scan[64]
| static

Initial value:
=
{
0, 1, 8,16, 9, 2, 3,10,
17,24,32,25,18,11, 4, 5,
12,19,26,33,40,48,41,34,
27,20,13, 6, 7,14,21,28,
35,42,49,56,57,50,43,36,
29,22,15,23,30,37,44,51,
58,59,52,45,38,31,39,46,
53,60,61,54,47,55,62,63
}

Referenced by mpeg2_xxmc_slice().